> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Create a Tag >
Enterprise
Use this endpoint to create an Omnichannel tag. Permission required: `manage-livechat-tags` ## OpenAPI ````json POST /api/v1/livechat/tags.save { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/tags.save": { "post": { "summary": "Create a Tag", "tags": [ "Omnichannel Tags" ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "name": { "type": "string" }, "description": { "type": "string" }, "numDepartments": { "type": "integer" }, "departments": { "type": "array", "items": { "type": "string" } }, "_id": { "type": "string" }, "success": { "type": "boolean" } } }, "examples": { "New tag created": { "value": { "name": "apiTag01", "description": "testing api endpoint", "numDepartments": "1", "departments": [ "TEST-DEPT" ], "_id": "69536ca06ff48667974be86d", "success": "true" } }, "Updated existing tag": { "value": { "name": "apiTag-updated", "description": "testing api endpoint", "numDepartments": "1", "departments": [ "TEST-DEPT" ], "_updatedAt": "2025-12-30T06:06:00.995Z", "_id": "69536b7a6ff48667974be86b", "success": "true" } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "errorType": { "type": "string" }, "error": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "errorType": "invalid-params", "error": "must have required property 'tagData'" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "operationId": "post-api-v1-livechat-tags.save", "description": "
\"Enterprise\"
\n\nUse this endpoint to create an Omnichannel tag. Permission required: `manage-livechat-tags`", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "tagData" ], "properties": { "tagData": { "type": "object", "properties": { "name": { "type": "string", "description": "Enter a name for the tag.", "example": "Support" }, "description": { "type": "string", "description": "Enter the tag's description.", "example": "Tag for support team" } } }, "tagDepartments": { "type": "array", "description": "Enter the department IDs that can use this tag.", "items": { "type": "string", "example": "[\"68304887113ac52640bc1ca6\"]" } }, "_id": { "type": "string", "description": "Use this parameter to update an existing tag.", "example": "69536b596ff48667974be868" } } }, "examples": { "Example 1": { "value": { "tagData": { "name": "apiTag", "description": "testing" }, "tagDepartments": [ "TEST-DEPT" ], "_id": "69536b7a6ff48667974be86b" } } } } } } } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } }, "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````